#include "fis.h"
// #include "fpa.h"
// #include "genfis.h"
// #include "fistree.h"
// #include "linkfis.h"
// #include "hfpfis.h"
// #include "fisimple.h"
// #include "fisols.h"
// #include "sethfpfis.h"
// #include "sifopt.h"
// #include "fiswm.h"
// #include "hfpfis.h"
// #include "gensample.h"
#include <errno.h>
#include <stdexcept>

int main(int argc, char ** argv)
  //******************************
{
  double *val;
  int i,k;
  FISIN *in;

  if(argc < 2) 
    {
      printf("\nThe program %s needs 1 argument : the size of the array to generate", argv[0]);
      return(-1);
    }
  k = atoi(argv[1]);

  val = new double[k];

  for(i=0; i<k; i++) val[i] = FisRand();
  qsort(val, k, sizeof(double), CmpDblAsc);

  // Trapezoidal MF
  in = new FISIN(k, val, 0, 1);
  in->PrintCfgCont();
  delete in;

  // Triangular MF
  in = new FISIN(val, k, 0, 1);
  in->PrintCfgCont();

  in->Tri2Trap();
  in->PrintCfgCont();

  delete in;

  delete [] val;
 return 0;
}
