//***********************************************************************
//
//
//
//
// Author(s) : Serge GUILLAUME, Brigitte CHARNOMORDIC 
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//**********************************************************************
#include "conteneur.h"
#include "stdio.h"

conteneur::conteneur(){ nbElem = 0; Item = NULL;
}
conteneur::conteneur( int n ){
   nbElem = 0;
   MaxItems= n;
   Item = new void*[n];
}
conteneur::~conteneur(){ delete [] Item;
}
int conteneur::add (  void * anItem ){
    if ( nbElem >= MaxItems ) return -1;
    nbElem++;
    Item[nbElem]=anItem;
    return nbElem;
}
const void *conteneur::get (  int Index ) const {
    if ( ( nbElem < Index ) || ( Index < 0 ) ) return NULL;
    return Item[Index];
}
