//***********************************************************************
//
//
//
//
// Author(s) : Serge GUILLAUME, Brigitte CHARNOMORDIC 
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//**********************************************************************
/*! \class conteneur
 *  \brief used to store the evaluation function arguments in a void * array.

 for more detail look at double FisEval( void *  Item  , vkey * pKey , double *Array , int sizeArray , conteneur * fEvalArgs )
 */
#ifndef CONTENEUR_H
#define CONTENEUR_H

class conteneur {
  conteneur& operator=(const conteneur&);
  conteneur(const conteneur&);
  void ** Item; //!< The array of adress
  int     nbElem; //!< The number of item of your array of adress
  int     MaxItems; //!< The max  number of item of your array of adress
public:
conteneur(); //!< Create an empty instance
conteneur( int ); //!< Create an instance whith an allocated array of arg size
~conteneur();
int   add (  void * ); //!< add an adress to the array return the position
const void *get (  int    ) const; //!< get the adress back from a position
};

#endif

