//***********************************************************************
//
//
//
//
// Author(s) : Serge GUILLAUME, Brigitte CHARNOMORDIC 
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//**********************************************************************
/*!
 * \file point.h
 * \brief Use to give an example of how to use algo class whith a class.
*/
#ifndef __POINT
#define __POINT
#include <stdlib.h>
#include <math.h>
/*!
 * \class Point
 * \brief Use to give an example of how to use algo class whith a class.
*/
class Point { public :
       double x,y;
       Point(){ x=0; y=0;};
       Point(double xp,double yp){x=xp; y=yp;};
      ~Point(){};
void   dup( const Point* P2){x=P2->x; y=P2->y;return;};
double Norme() const { return sqrt(x*x+y*y);};
void   Print() const {  cout << "Point " << x << "  " << y << "  " << endl; return; };
};
#endif


