#include <fis.h>

// 	g++ -I"chemin cpp/base" -c fispro.cpp
// 	g++ -L"chemin libfispro" -shared -o"scilab_fispro.dll" fispro.o fispro.lib

//
// link("path\scilab_fispro.dll","fis_infer","c");
// call("fis_infer",[4.3 4.4 2.593 1.972],1,"d","path\config.fis",2,"c","out",[1,1],3,"d")
//
// inputs tableau de double de taille nombre d'entrees de config.fis
// inputs=[4.3 4.4 2.593 1.972];
// call("fis_infer",inputs,1,"d","path\config.fis",2,"c","out",[1,1],3,"d")
//
// ulink;
//

extern "C" int fis_infer(double *inputs, const char *fis_file, double *result) {

	try {

		FIS fis(fis_file);
		fis.Infer(inputs);
		*result = fis.OutValue[0];

	} catch(...) { *result = 0; }

    return 0;
}

