//****************************************************************
//
//
//                              GENTEST.CPP
//
// Author(s) : Serge GUILLAUME, Brigitte CHARNOMORDIC 
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Licence http://www.cecill.info/licences/Licence_CeCILL_V2-en.html/
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
//         handling of inactive inputs
// File : starting function for the rule generation module

// Environnment : requires library fispro and  genfis package
//****************************************************************

#include "genfis.h"

int main(int argc, char ** argv)
//******************************
{
  GENRULE * Tmp;
  RULE ** tmpR;
  FISIN ** En;
  //  FISIN In(2, 0, 1);
  int i,n;

  if (argc < 2) 
    { printf("\nManque l'argument ...\n"); return -1; }

  n = atoi(argv[1]);
  if(n < 1) n = 1;

  char *c;
  c = new char [10];

  strcpy(c, RULE::PremiseProd());

  En = new FISIN * [1];
  En[0] = new FISIN(2, 0, 1);
  
  GENRULE::nI = 1, GENRULE::nO = 0;
  GENRULE::E = En;
  GENRULE::conj = c;

  tmpR = new RULE * [n];

  Tmp = new GENRULE[n];
  for(i = 0; i < n; i++)  
    tmpR[i] = Tmp + i;

  tmpR[0]->Print();

  delete [] Tmp;
  delete [] tmpR;
  delete En[0];
  delete [] En;
  delete [] c;
  return 0;
}
//**************************   End of GENTEST.CPP   ***************
