//***********************************************************************
//
//
//                              SLEAFNODE.H
//
//
// Author(s) : Vincent Therry
// FISPRO Version : 3.2 - Copyright INRA - Cemagref - 2002 - IDDN.FR.001.030024.000.R.P.2005.003.31235
// Contact : vincent.therry@envilys.com
// Last modification date:  July 31, 2009 - Contact : fispro@supagro.inra.fr
// File : SUPERSIF LEAF NODE class functions used by FISPRO, part of library fispro

//**********************************************************************
#ifndef SLEAFNODE_H_
#define SLEAFNODE_H_

#include "snode.h"

class SLEAFNODE : public SNODE
{
	public :
		
		// Constructors
		SLEAFNODE();
		SLEAFNODE(const SLEAFNODE & s);
		
		SLEAFNODE(char * sFisFileName, double ** adDataArray, int nNbRows, vector <int> * pviSelectedColumns);		
		~SLEAFNODE(){};
		
		// Methods
		virtual void ToString();		
};

#endif /*SLEAFNODE_H_*/
