source("repli.R")

gentable=function(file="centre.dat",nb=8)
{

#exemple pour centre.dat
#cree le fichier inputdata.txt au format fispro
 
cen<-read.table(file, sep=";")

lis<-vector("list",len=0)
n=nrow(cen)

for (i in 1:n)
{
lis[[i]]<-c(cen[i,1]*0.8, seq(cen[i,1], cen[i,2],length.out=nb), cen[i,2]*1.2)
}

table<-repli(lis)

write.table(round(table, digits=4),"inputdata.txt", sep=";", row.names=F)
}